AnsweredAssumed Answered

Developpement for Alfresco 4.2

Question asked by vmiorga on Aug 18, 2017
Latest reply on Aug 23, 2017 by fcorti

Hello I have to develop a project for Alfresco 4.2, if I had correctly understood the documentation I have to use the SDK 1.1.0 for the development.

I used this documentation: Maven Alfresco SDK Quick Start | Alfresco Documentation 

but when I call the maven archetype I get :

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:3.0.1:generate (default-cli) on project standalone-pom: archetypeCatalog 'https://artifacts.alfresco.com/nexus/content/groups/public/archetype-catalog.xml' is not supported anymore.

 

For the moment the only HelloWorld project I successfully compile use the SDK 2.2 (by using the doc receive by mail), and when I tried to change in the pom.xml the sdk version I get:

Project build error: Non-resolvable parent POM for com.vian:test-repo:1.0-SNAPSHOT: Failure to find org.alfresco.maven:alfresco-sdk-parent:pom:1.1.0 in https://repo.maven.apache.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced and 'parent.relativePath' points at wrong local POM

 

Does still possible to develop for Alfresco 4.2 ?

 

best regard

Outcomes